View Issue Details

IDProjectCategoryLast Update
0012586Bionic Dues[All Projects] GUIOct 1, 2013 11:53 pm
ReporterWingeAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.917 - Please Still Keep An Eye Out 
Fixed in Version0.930 
Summary0012586: AoE Weapons are not showing their AoE radius
DescriptionAt least, when targetted without using target ground. The damage seems correct, though.
TagsNo tags attached.
Internal WeightMajor Problem

Activities

Winge

Sep 19, 2013 7:40 pm

reporter  

NotShowingAoE.save (99,891 bytes)

x4000Bughunter

Sep 20, 2013 9:15 am

administrator   ~0033892

Thanks!

* Fixed a bug where AOE weapons would not show their radius when targeting an enemy or other target unless you were doing ground-targeting (holding shift).

Winge

Oct 1, 2013 7:44 pm

reporter  

NoAoECursor.save (62,253 bytes)

Winge

Oct 1, 2013 7:44 pm

reporter   ~0034406

Just saw this again in 0.928. Save added.

Winge

Oct 1, 2013 7:45 pm

reporter   ~0034407

Found again in 0.928.

keith.lamothe

Oct 1, 2013 11:53 pm

administrator   ~0034413

For 0.930:

* The code for determining which overlay a tile got ("you will shoot at this tile if you click now", "you will hit this tile with splash damage if you click now", "the enemy under the cursor can hit this tile", "your whistle/overload will hit this tile if you click now", "you would shoot at this tile if you clicked now and were actually in range") had become a festering warren of unloved and tangled code (authored by the same person writing this change note, incidentally). There was always some kind of bug or another with it.
** So now it's been rewritten completely, and is clearer and way more efficient.
** This fixes a recent bug where hovering over an enemy with an aoe weapon but without shift held would show a reticle on the enemy but not on the affected splash area.
** But probably introduces some other bugs simply because it was a rewrite, so let us know if you find anything.
** Thanks to Winge for the report that broke the camel's back.

Issue History

Date Modified Username Field Change
Sep 19, 2013 7:40 pm Winge New Issue
Sep 19, 2013 7:40 pm Winge File Added: NotShowingAoE.save
Sep 20, 2013 9:15 am x4000Bughunter Internal Weight => New
Sep 20, 2013 9:15 am x4000Bughunter Note Added: 0033892
Sep 20, 2013 9:15 am x4000Bughunter Status new => resolved
Sep 20, 2013 9:15 am x4000Bughunter Fixed in Version => 0.918 - Better, But Please Keep Watch
Sep 20, 2013 9:15 am x4000Bughunter Resolution open => fixed
Sep 20, 2013 9:15 am x4000Bughunter Assigned To => x4000Bughunter
Oct 1, 2013 7:44 pm Winge File Added: NoAoECursor.save
Oct 1, 2013 7:44 pm Winge Note Added: 0034406
Oct 1, 2013 7:45 pm Winge Note Added: 0034407
Oct 1, 2013 7:45 pm Winge Status resolved => feedback
Oct 1, 2013 7:45 pm Winge Resolution fixed => reopened
Oct 1, 2013 9:10 pm x4000Bughunter Internal Weight New => Major Problem
Oct 1, 2013 9:10 pm x4000Bughunter Assigned To x4000Bughunter => keith.lamothe
Oct 1, 2013 11:53 pm keith.lamothe Note Added: 0034413
Oct 1, 2013 11:53 pm keith.lamothe Status feedback => resolved
Oct 1, 2013 11:53 pm keith.lamothe Fixed in Version 0.918 - Better, But Please Keep Watch => 0.930
Oct 1, 2013 11:53 pm keith.lamothe Resolution reopened => fixed
Apr 14, 2014 9:28 am x4000Bughunter Category Bug - UI => GUI